package cz.muni.fi.pa165.core.mapper;

import cz.muni.fi.pa165.core.data.domain.Airplane;
import cz.muni.fi.pa165.core.model.AirplaneDto;
import cz.muni.fi.pa165.core.model.NewAirplaneDtoRequest;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring")
public interface AirplaneMapper {

    Airplane toEntity(AirplaneDto airplaneDto);

    Airplane toEntityFromNewRequest(NewAirplaneDtoRequest newAirplaneDtoRequest);

    AirplaneDto toDto(Airplane airplane);
}
