package cz.muni.fi.pa165.core.mapper;

import cz.muni.fi.pa165.core.data.domain.AirplaneType;
import cz.muni.fi.pa165.core.model.AirplaneTypeDto;
import cz.muni.fi.pa165.core.model.NewAirplaneTypeDtoRequest;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring")
public interface AirplaneTypeMapper {

    AirplaneType toEntity(AirplaneTypeDto airplaneTypeDto);

    AirplaneType toEntityFromNewRequest(NewAirplaneTypeDtoRequest newAirplaneTypeDtoRequest);

    AirplaneTypeDto toDto(AirplaneType airplaneType);
}
